// R3DCalc.cpp: implementation of the R3DCalc class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
//#include "Traffic3D.h"
#include "R3DCalc.h"
#include <math.h>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

// Global pointer to a calc object:
R3DCalc *R3DCALC;

// initialise the tables
R3DCalc::R3DCalc()
{
	for(int x=0; x<=359; x++)
		{
		float theta=(float)x*0.01745329251f;
		mCosTable[x]=(float)cos(theta);
		mSineTable[x]=(float)sin(theta);
		}
}

// the sine and cosine functions themselves:
float R3DCalc::Sin(float x)
	{
	while(x<0.f)
		x+=360.f;
	while(x>=360.f)
		x-=360.f;

	return mSineTable[(int)x];
	}

// the sine and cosine functions themselves:
float R3DCalc::Cos(float x)
	{
	while(x<0.f)
		x+=360.f;
	while(x>=360.f)
		x-=360.f;

	return mCosTable[(int)x];
	}


R3DCalc::~R3DCalc()
{

}
