// R3DCamera.h: interface for the R3DCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_R3DCAMERA_H__CE4A3463_0BC8_11D2_9F89_0000E822356F__INCLUDED_)
#define AFX_R3DCAMERA_H__CE4A3463_0BC8_11D2_9F89_0000E822356F__INCLUDED_

#include "R3DVector.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class R3DCamera  
{
public:
	void Walk(float distance);
	BOOL IsTransformed() {return mTransformed;}
	void Draw();
	R3DVector VProject(R3DVector v);
	void Move(R3DVector v);
	void Tilt(float angle);
	void Pan(float angle);
	R3DCamera();
	virtual ~R3DCamera();

protected:
	BOOL mTransformed;
	R3DVector mWorldPos;
	float mTilt;
	float mPan;
};

extern R3DCamera *R3DCAM;	// pointer to the current camera

#endif // !defined(AFX_R3DCAMERA_H__CE4A3463_0BC8_11D2_9F89_0000E822356F__INCLUDED_)
