// R3DGroup.h: interface for the R3DGroup class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_R3DGROUP_H__FB535E83_F4C3_11D1_A61E_444553540000__INCLUDED_)
#define AFX_R3DGROUP_H__FB535E83_F4C3_11D1_A61E_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxtempl.h>
#include "R3DShape.h"

// a model is a set of R3DShapes grouped together to form a rendered object
class R3DGroup : public CList<R3DShape*, R3DShape*>, R3DShape  
{
public:
	void SetTexture(R3DTexture t);
	void RotateZ(R3DVector Origin, float Theta);
	void RotateY(R3DVector Origin, float Theta);
	void RotateX(R3DVector Origin, float Theta);
	void Move(R3DVector v);
	void Draw();
	R3DGroup();
	virtual ~R3DGroup();
};

#endif // !defined(AFX_R3DGROUP_H__FB535E83_F4C3_11D1_A61E_444553540000__INCLUDED_)
