// R3DTexture.h: interface for the R3DTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_R3DTEXTURE_H__5027CDA2_E818_11D1_9F88_0000E822356F__INCLUDED_)
#define AFX_R3DTEXTURE_H__5027CDA2_E818_11D1_9F88_0000E822356F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "R3DfxHardware.h"

class R3DTexture  
{
public:
	 R3DTexture(GrMipMapId_t t);
	R3DTexture(char *filename);
	void Activate();
	int Load(char * filename);
	GrMipMapId_t GetTextureId() {return mTextureId;}
	BOOL IsInitialised() {return mInitialised;}
	R3DTexture();
	virtual ~R3DTexture();

private:
	BOOL mInitialised;
	GrMipMapId_t mTextureId;
};

#endif // !defined(AFX_R3DTEXTURE_H__5027CDA2_E818_11D1_9F88_0000E822356F__INCLUDED_)
