// R3DTexture.cpp: implementation of the R3DTexture class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
//#include "Traffic3D.h"
#include "R3DfxHardware.h"
#include "R3DTexture.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

R3DTexture::R3DTexture()
{
	mInitialised=FALSE;
}

R3DTexture::~R3DTexture()
{

}

// initialises the texture by loading it from disk and storing the texture Id
int R3DTexture::Load(char * filename)
{
	mTextureId=R3DHW->LoadTexture(filename);
	mInitialised=TRUE;
	return 1;
}

// sets this texture as the active one
void R3DTexture::Activate()
{
		R3DHW->SetTexture(mTextureId);
}

// alternate constructor, allows user to specify texture file
R3DTexture::R3DTexture(char * filename)
{
	this->Load(filename);
}

// initialises to a known ID
R3DTexture::R3DTexture(GrMipMapId_t t)
{
	mInitialised=TRUE;
	mTextureId=t;
}
